Subject: Re: can anybody explain the following to a git noob?

From: Johannes Sixt <[email-masked]>
Date: Fri, 22 May 2009 12:44:58 +0200

Tim Uckun schrieb:
> I still don't have an answer as to why the renamed test_new directory
> exists master branch and why both the original 'test' directory and
> the renamed 'test_new' directory are missing subdirectories.

Did test_new contain ignored files? In this case, when you checkout the
branch that does not have test_new, only the tracked files are removed;
the ignored (i.e untracked) files remain. Therefore, after the checkout
you still have a test_new directory.

-- Hannes